#include "picsys18.h"

void
setup()
{
    pinMode(LED1, OUTPUT) ;
    pinMode(LED2, OUTPUT) ;
    digitalWrite(LED1, LOW) ; // ハートビート表示
    digitalWrite(LED2, LOW) ; // USB接続の状態表示

    USB_begin() ;　// PCとのUSB接続を開く
    Serial_begin(9600) ; // XBEEへのシリアル接続を開く
}

	
void
loop()
{
    int c ;

    if (USB_attached()) { // USB接続を確認
        digitalWrite(LED2, HIGH) ;

        // XBEEからPCへ
        while (Serial_available()) {
            c = Serial_getc() ;
            USB_putc(c) ;
#if ADD_NL
            if (c == '\r') {
                USB_putc('\n') ;
            }
#endif
        }

        // PCからXBEEへ
        while (USB_available()) {
            c = USB_getc() ;
            Serial_putc(c) ;
        }
    } else {
        digitalWrite(LED2, LOW) ;
    }

    digitalWrite(LED1, ((int)millis()) & 0x200);  // ハートビート：約１秒
}
